from __future__ import print_function
from __future__ import division
from builtins import str
from builtins import range
from past.utils import old_div
import matplotlib.pyplot as plt
import numpy as np
import glob
import re
import matplotlib.cm as cm
import sys
import help_functions as hlp
if __name__ == "__main__":




    list_of_directories = [vals for vals in sys.argv[1:]]

    clust_per_frame =[]
    num_samples = len(list_of_directories)
    for directory in list_of_directories:
        data = np.genfromtxt(directory, delimiter=" ")
        temp = data[:, 0] #4 #old_div(int(window[0]),10.0)
        clust_per = data[:, 1]#5
        clust_per_frame.append(clust_per)

    clust_per_frame = np.array(clust_per_frame)
    clust_per_mean = np.mean(clust_per_frame, axis=0)
    clust_per_std = np.std(clust_per_frame, axis=0)/np.sqrt(num_samples)
    #print((x_tmp, y_tmp, yerr_tmp))
    with open("clust_data_flex_anneal.txt", "w") as text_file:
        text_file.write("#temp clust_per clust_std\n")
        for _ in range(len(temp)):
            text_file.write("{} {} {}\n".format(temp[_], clust_per_mean[_], clust_per_std[_]))

    #plt.plot(x_tmp, y_tmp, marker='o', linewidth=0)
    #plt.plot(x_tmp,np.full((len(x_tmp),1),1e5))
    #plt.plot(x_tmp,np.full((len(x_tmp),1),1e6))
    #plt.yscale('log', nonposy='clip')
    #plt.show()
