#!/opt/local/bin/python
import numpy as np
import help_functions as hlp
import matplotlib.pyplot as plt
import re
from sys import argv

list_of_logs = [vals for vals in argv[1:]]
foo = raw_input("0 for single log plot, 1 for aggregate log plots ")
foo = int(foo)


if foo == 0:
    for i, log in enumerate(list_of_logs):
        log_data = hlp.get_data_with_headers(log)  # Need to change it so I just load in the first line
        log_data_headers = log_data.dtype.names
        if i == 0:
            for i, x_options in enumerate(log_data_headers):
                print(i, x_options)
            x_vals = raw_input("x val (num)? ")
            x_vals = int(x_vals)
            for i, y_options in enumerate(log_data_headers):
                print(i, y_options)
            y_vals = raw_input("y val (num)? ")
            y_vals = int(y_vals)
        log_data = hlp.get_data(log)
        y = log_data[:, y_vals]
        x = log_data[:, x_vals]
        start_index = 0  # Can use this later to skip things not in our window
        hlp.make_plot(x[start_index:], y[start_index:])
        plt.title(log)
        plt.show()
        plt.close()

if foo == 1:
    for i, log in enumerate(list_of_logs):
        log_data = hlp.get_data_with_headers(log)  # See above
        log_data_headers = log_data.dtype.names
        if i == 0:
            for i, y_options in enumerate(log_data_headers):
                print(i, y_options)
            y_vals = raw_input("y val (num)? ")
            y_vals = int(y_vals)
        log_data = hlp.get_data(log)
        y = log_data[:, y_vals]
        start_index = 0  # Will use this later
        y_mean = np.mean(y[start_index:])
        y_std = np.std(y[start_index:])
        '''
        This is where you can put your own regex to match runs
        '''
        try:
            temp = ((re.search("T(\d\.\d)", log)))
        except (AttributeError):
            temp = ((re.search("T(\d\d\.\d)", log)))
        x = float(temp.groups()[0])
        hlp.make_ebar_plot(x, y_mean, y_std)
plt.show()
